summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAxelMarchand2016-01-25 13:52:15 +0100
committerAxelMarchand2016-01-25 13:52:15 +0100
commitf3583984ef8845bc826f2c6b9ecc61dd30112ee6 (patch)
treeaa6c158056189f7bf96680dcb02995614bf76445
downloadaur-f3583984ef8845bc826f2c6b9ecc61dd30112ee6.tar.gz
Initial Commit
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD23
2 files changed, 41 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..657a6de9a3c
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+# Generated by makepkg 4.2.1
+# Mon Jan 25 12:51:00 UTC 2016
+pkgbase = hyper
+ pkgdesc = A Lightweight Web Browser
+ pkgver = 0.1
+ pkgrel = 1
+ url = https://github.com/AxelMarchand/Hyper
+ arch = any
+ license = MIT
+ makedepends = make
+ makedepends = gcc
+ makedepends = pkg-config
+ depends = webkitgtk
+ source = https://github.com/AxelMarchand/Hyper/releases/download/v0.1/hyper-0.1.tar.gz
+ md5sums = 0c7e0aa5d9166c3edadfd72e8531817a
+
+pkgname = hyper
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..33b038f83e5
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,23 @@
+pkgname=hyper
+pkgver=0.1
+pkgrel=1
+pkgdesc="A Lightweight Web Browser"
+arch=(any)
+url="https://github.com/AxelMarchand/Hyper"
+license=('MIT')
+depends=('webkitgtk')
+makedepends=('make' 'gcc' 'pkg-config')
+source=('https://github.com/AxelMarchand/Hyper/releases/download/v0.1/hyper-0.1.tar.gz')
+md5sums=('0c7e0aa5d9166c3edadfd72e8531817a')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+
+ make || return 1
+ make clean
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ make install || return 1
+}